Summary: A set of Unicode compliant Bangla fonts under the GNU GPL
Name: freebanglafont
Version: 0.5
Release: 1
License: GPL
Group: User Interface/X
Source: freebanglafont-0.5.tar.gz
BuildArch: noarch
URL: http://www.nongnu.org/freebangfont/
BuildRoot: /tmp/%{name}-buildroot
Packager: Sayamindu Dasgupta <unmadindu@bengalinux.org>
Requires: XFree86-font-utils >= 4.2.0-72 XFree86 >= 4.2.0-72 chkfontpath >= 1.9.6-3 fontconfig >= 2.0-3
%description
This package contains a set of Free Bangla (Bengali) OpenType fonts based on 
Unicode encoding scheme. The fonts are provided by Free Bangla Font project 
(http://www.nongnu.org/freebanglafont), a sub project of Ankur group 
(http://www.bengalinux.org).

Install freebanglafont if you'd like to use Bangla or want to see Bangla 
interface for GNOME, KDE, etc.

When you use the fonts, for best results, please turn of the Font Hinting by 
executing the gnome-font-properties command.

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/share/fonts/bengali

install -m 644 AkaashNormal.ttf $RPM_BUILD_ROOT/usr/share/fonts/bengali
install -m 644 ani.ttf $RPM_BUILD_ROOT/usr/share/fonts/bengali
install -m 644 likhan.ttf $RPM_BUILD_ROOT/usr/share/fonts/bengali
#install -m 644 MuktiNarrowBold.ttf $RPM_BUILD_ROOT/usr/share/fonts/bengali #FIXME: need to add this font
install -m 644 MuktiNarrow.ttf $RPM_BUILD_ROOT/usr/share/fonts/bengali

%post
umask 133
/usr/bin/ttmkfdir -d /usr/share/fonts/bengali -o /usr/share/fonts/bengali/fonts.scale
/usr/X11R6/bin/mkfontdir /usr/share/fonts/bengali
/usr/sbin/chkfontpath -q -a /usr/share/fonts/bengali

# if libgnomeprint is installed update the database
# NOTE: this is not needed for new libgnomeprint as it uses fontconfig package
GNOMEPRINT_FONT="`which libgnomeprint-2.0-font-install 2> /dev/null`"

if [ -x "$GNOMEPRINT_FONT" ] ; then
  ( cd /usr/share/fonts/bengali ; $GNOMEPRINT_FONT --dynamic . )
fi

# NOTE from Sayamindu: If we put the fonts into the /usr/share/fonts/bengali 
# dir, we don't need the following steps as fontconfig searches /usr/share/fonts
# recursively.

# add font path to /etc/fonts/fonts.conf and run fc-cache

#if [ -f /etc/fonts/fonts.conf ] ; then
#BENGALI_EXIST="`grep  \"/usr/share/fonts/bengali\" /etc/fonts/fonts.conf`"

#if [ -z $BENGALI_EXIST ] ; then
#cp /etc/fonts/fonts.conf /etc/fonts/fonts.conf.fbf.rpmsave
#chmod +w /etc/fonts/fonts.conf
#ed /etc/fonts/fonts.conf > /dev/null 2>&1 << EOF
#/<dir>/a
#	<dir>/usr/X11R6/lib/X11/fonts/bengali</dir>
#.
#w
#q
#EOF

#fi

FC_CACHE="`which fc-cache 2> /dev/null`"

if [ -x "$FC_CACHE" ] ; then
  $FC_CACHE
fi


%postun
umask 133
rm -rf /usr/share/fonts/bengali/fonts.scale
/usr/bin/ttmkfdir -d /usr/share/fonts/bengali -o /usr/share/fonts/bengali/fonts.scale
/usr/X11R6/bin/mkfontdir /usr/share/fonts/bengali

# if libgnomeprint is installed update the database
# NOTE: this is not needed for new libgnomeprint as it uses fontconfig package

GNOMEPRINT_FONT="`which libgnomeprint-2.0-font-install 2> /dev/null`"

if [ -x "$GNOMEPRINT_FONT" ] ; then
  ( cd /usr/share/fonts/bengali ; $GNOMEPRINT_FONT --dynamic . )
fi

FC_CACHE="`which fc-cache 2> /dev/null`"
if [ -x "$FC_CACHE" ] ; then
  $FC_CACHE
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README BUGS COPYING

/usr/share/fonts/bengali/*.ttf

%changelog
* Sat Jul 27 2003 Sayamindu Dasgupta <unmadindu@bengalinux.org>
- Changes in the install scripts
- Removed Sagar, MuktiNormal and MuktiBold

* Sun May 4 2003 Sayamindu Dasgupta <unmadindu@bengalinux.org>
- Added SagarNormal.ttf
- Minor changes in the description and added documentation

* Mon Apr 21 2003 Taneem Ahmed <taneem@eyetap.org>
- Updated post-[un]install script

* Tue Dec 10 2002 Taneem Ahmed <taneem@eyetap.org>
- Added Xft configuration file and cache update support 
- Added libgnomeprint database update, if it is installed 
- Updated new version of Akaash

* Sun Dec 08 2002 Taneem Ahmed <taneem@eyetap.org>
- Added new font Mukti
- Updated new version of Ani

* Thu Nov 14 2002 Taneem Ahmed <taneem@eyetap.org>
- Initial rpm package for freebanglafont
